
/****************************************************************************
http://retro.moe/unijoysticle2

Copyright 2019 Ricardo Quesada

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
****************************************************************************/

#ifndef UNI_JOYSTICK_H
#define UNI_JOYSTICK_H

#include <stdint.h>

typedef enum {
  JOYSTICK_PORT_NONE = 0,
  JOYSTICK_PORT_A = (1 << 0),
  JOYSTICK_PORT_B = (1 << 1),
  JOYSTICK_PORT_AB_MASK = (JOYSTICK_PORT_A | JOYSTICK_PORT_B),
} uni_joystick_port_t;

// Valid for Amiga, Atari 8-bit, Atari St, C64 and others...
typedef struct {
  uint8_t up;         // line 1 - Y2 for quad mouse
  uint8_t down;       // line 2 - X1 for quad mouse
  uint8_t left;       // line 3 - Y1 for quad mouse
  uint8_t right;      // line 4 - X2 for quad mouse
  uint8_t pot_y;      // line 5 - Middle button for mouse
  uint8_t a;	      // line 6 - Left button for mouse
  uint8_t b;
  uint8_t start;
  uint8_t select;
  uint8_t _power;     // line 7 - +5v. added as ref only
  uint8_t _ground;    // line 8 - ground. added as ref only
  uint8_t pot_x;      // line 9 - Right button for mouse
  uint8_t auto_fire_a;  // virtual button
  uint8_t auto_fire_b;

} uni_joystick_t;

#endif  // UNI_JOYSTICK_H